javafx.css

## Enum StyleOrigin

- java.lang.Object
- - java.lang.Enum<StyleOrigin>
  - - javafx.css.StyleOrigin

- All Implemented Interfaces:
    Serializable, Comparable<StyleOrigin>

      public enum StyleOrigin
      extends Enum<StyleOrigin>

  Enumeration of the possible source or origin of a stylesheet and styles.
  Since:
    JavaFX 8.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTHOR` The stylesheet is an external file
    `INLINE` The style is from the Node via setStyle
    `USER` The value of a property was set by the user through a call to a set method
    `USER_AGENT` The stylesheet is a user-agent stylesheet

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StyleOrigin` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static StyleOrigin[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### USER_AGENT

          public static final StyleOrigin USER_AGENT

      The stylesheet is a user-agent stylesheet

    - #### USER

          public static final StyleOrigin USER

      The value of a property was set by the user through a call to a set method

    - #### AUTHOR

          public static final StyleOrigin AUTHOR

      The stylesheet is an external file

    - #### INLINE

          public static final StyleOrigin INLINE

      The style is from the Node via setStyle

  - ### Method Detail

    - #### values

          public static StyleOrigin[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StyleOrigin c : StyleOrigin.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StyleOrigin valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 2008, 2019, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.